#!/bin/bash

# Define plugin URL and target directory
PLUGIN_URL="https://git.nixc.us/colin/SimpleStatus/raw/branch/main/simple-status.php"
PLUGIN_DIR="./wp-content/plugins/simple-status"

# Create plugin directory if it doesn't exist
mkdir -p "$PLUGIN_DIR"

# Download the plugin
curl -o "$PLUGIN_DIR/simple-status.php" "$PLUGIN_URL"

# Set correct permissions
chmod 644 "$PLUGIN_DIR/simple-status.php"

# Inform user
echo "Simple Status plugin installed/updated successfully."
